# sessions

A browser extension aiming to simplify coplaying in [Tribal Wars](https://www.tribalwars.net/en-dk/). Coplayers can finally play together via a browser!

## Getting started

### Development

#### Setting up the environment

Prerequisites:

1. **Node.js** (LTS)
2. **IDE/Code editor** (e.g. WebStorm, VSCode, vim, neovim)
3. **web-ext** (``yarn global add web-ext``)
4. **backend** (such as [this one](https://gitea.dwysokinski.me/twhelp/sessions))
5. **Chromium-based browser** (e.g. Chromium, Vivaldi, Brave)

```shell
# start a dev server
yarn watch

# launch a browser (e.g. Chromium)
yarn run:chromium
```

## FAQ

1. What data are sent to the backend? - Only sid (session identifier). Sid is [encrypted/decrypted on the client side](./src/crypto.ts).

## License

Distributed under the MIT License. See ``LICENSE`` for more information.

## Contact

Dawid Wysokiński - [contact@dwysokinski.me](mailto:contact@dwysokinski.me)
